png::pixel_buffer< packed_index_pixel< bits > > Class Template Reference

The pixel buffer class template specialization for the packed_index_pixel type. More...

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::pixel_buffer< packed_index_pixel< bits > >:

## Public Types

typedef packed_index_pixel< bits > | pixel_type
typedef packed_pixel_row< pixel_type > | pixel_row_type
Public Types inherited from png::basic_pixel_buffer< packed_index_pixel< bits >, packed_pixel_row< packed_index_pixel< bits > > >
typedef packed_pixel_row< packed_index_pixel< bits > > | row_type
| A row of pixel data. More...
typedef row_type & | row_access
typedef row_type const & | row_const_access
typedef row_traits< packed_pixel_row< packed_index_pixel< bits > > > | row_traits

## Public Member Functions

| pixel_buffer ()
| pixel_buffer (uint_32 width, uint_32 height)
Public Member Functions inherited from png::basic_pixel_buffer< packed_index_pixel< bits >, packed_pixel_row< packed_index_pixel< bits > > >
| basic_pixel_buffer ()
| Constructs an empty 0x0 pixel buffer object. More...
| basic_pixel_buffer (uint_32 width, uint_32 height)
| Constructs an empty pixel buffer object. More...
uint_32 | get_width () const
uint_32 | get_height () const
void | resize (uint_32 width, uint_32 height)
| Resizes the pixel buffer. More...
row_access | get_row (size_t index)
| Returns a reference to the row of image data at specified index. More...
row_const_access | get_row (size_t index) const
| Returns a const reference to the row of image data at specified index. More...
row_access | operator[] (size_t index)
| The non-checking version of get_row() method. More...
row_const_access | operator[] (size_t index) const
| The non-checking version of get_row() method. More...
void | put_row (size_t index, row_type const &r)
| Replaces the row at specified index. More...
packed_index_pixel< bits > | get_pixel (size_t x, size_t y) const
| Returns a pixel at (x,y) position. More...
void | set_pixel (size_t x, size_t y, packed_index_pixel< bits >p)
| Replaces a pixel at (x,y) position. More...

## Additional Inherited Members

Protected Types inherited from png::basic_pixel_buffer< packed_index_pixel< bits >, packed_pixel_row< packed_index_pixel< bits > > >
typedef std::vector< row_type > | row_vec
Protected Attributes inherited from png::basic_pixel_buffer< packed_index_pixel< bits >, packed_pixel_row< packed_index_pixel< bits > > >
uint_32 | m_width
uint_32 | m_height
row_vec | m_rows

## Detailed Description

### template<int bits>
class png::pixel_buffer< packed_index_pixel< bits > >

The pixel buffer class template specialization for the packed_index_pixel type.

## Member Typedef Documentation

template<int bits>

typedef packed_index_pixel< bits > png::pixel_buffer< packed_index_pixel< bits > >::pixel_type

template<int bits>

typedef packed_pixel_row< pixel_type > png::pixel_buffer< packed_index_pixel< bits > >::pixel_row_type

## Constructor & Destructor Documentation

template<int bits>

png::pixel_buffer< packed_index_pixel< bits > >::pixel_buffer | ( |  | ) |

inline

template<int bits>

png::pixel_buffer< packed_index_pixel< bits > >::pixel_buffer | ( | uint_32 | width,
|  | uint_32 | height
| ) |  |

inline

The documentation for this class was generated from the following file:

- pixel_buffer.hpp